×

Discussion Board

Page 1 of 4 1234 LastLast
Results 1 to 15 of 53
  1. #1
    Registered User
    Join Date
    Jun 2008
    Posts
    10

    Question ActivePerl 5.6.x not available, anymore?

    Hi,

    The consensus here on FN seems to be that we should still use 5.6.1 in order to build our Symbian applications. http://downloads.activestate.com/Act...l/Windows/5.6/ is now a dead link.

    What is the officially recommended Perl version? If it is 5.6.1, where can it be downloaded?

  2. #2
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: ActivePerl 5.6.x not available, anymore?

    Hi aportale,

    We are aware of the problem and we are currently looking for a solution for it. Fact is that currently Active Perl 5.6.1 is no longer available for download and that our current SDKs have still some scripts which are not compatible with the current Active Perl releases. See http://bit.ly/aBGSuX as an example.

    For the time being, the only solution is to install the latest Active Perl build available and use it with the SDK. If you run into the help compiler scripts problem described in the above referenced KI then apply the patch included in it, it should solve the problem.

    I will stick this thread here and let it open for you and other developers to post updates regarding other instances of SDK Perl scripts failing, so that we can together look for a solution.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  3. #3
    Registered User
    Join Date
    Jul 2008
    Posts
    17

    Re: ActivePerl 5.6.x not available, anymore?

    Maybe it's time to upgrade the S60 SDKs.

    We (the Qt for Symbian porting team) have some patches here that will make the S60 SDKs work with Raptor. And, if there is also patches that fixes the SDK for working with Perl 5.8 and later, it seems we're starting to have a good reason for a small update of the SDKs.

  4. #4
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: ActivePerl 5.6.x not available, anymore?

    Great idea Espen, ( but wait until the SDK team hears of it :) )

    Please drop me an email and let's see what we can do about it.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  5. #5
    Registered User
    Join Date
    Jul 2008
    Posts
    17

    Re: ActivePerl 5.6.x not available, anymore?

    I'll mail you tomorrow. I've always wondered who those SDK guys are :D

  6. #6
    Super Contributor
    Join Date
    Jun 2007
    Location
    Moscow, Russia
    Posts
    1,355

    Re: ActivePerl 5.6.x not available, anymore?

    Quote Originally Posted by espenr View Post
    Maybe it's time to upgrade the S60 SDKs.

    We (the Qt for Symbian porting team) have some patches here that will make the S60 SDKs work with Raptor. And, if there is also patches that fixes the SDK for working with Perl 5.8 and later, it seems we're starting to have a good reason for a small update of the SDKs.
    Sounds great. Can we get somethere your patches for SDK? ( unofficialy and without any warranty of course) Just want to try new free RVCT 4.0 right now. Lets suppouse, we are your beta testers.

  7. #7
    Super Contributor
    Join Date
    Jul 2008
    Posts
    2,020

    Re: ActivePerl 5.6.x not available, anymore?

    Folks. I am actively fighting ActiveState for a DL license which would allow me to host it for you.

    But no response yet...
    The lines above are the best I have to offer.If anyone of you is of more advanced knowledge, I ask for your patience and understanding! - unknown arab poet
    http://www.tamoggemon.com - Symbian blog - Windows Phone blog
    My other blogs:
    webOS blog iPhone blog BlackBerry blog Samsung bada blog Android blog

  8. #8
    (Retired) Nokia Developer Admin.
    Join Date
    Jan 2006
    Location
    Michigan
    Posts
    4,664

    Re: ActivePerl 5.6.x not available, anymore?

    Nokia is negotiating with ActivePerl to be able to download the Perl with the SDK from Nokia and Symbian sites. We are also actively updating the software so that it will use the most up to date version or some other means to obtain the same objective.

    This is being given high priority but unfortunately all legal agreements require time to finalize.

    Ron

  9. #9
    Super Contributor
    Join Date
    Jul 2008
    Posts
    2,020

    Re: ActivePerl 5.6.x not available, anymore?

    Hi Folks,
    I am out of the game. Tried to get in touch, but got a no - albei with some useful hints.

    Here you are:
    Tam,

    > as you might know, Nokia’s SDKs rely on ActivePerl 5.6.1 – a version
    > which you have since removed from your web site.

    Yes, we've been talking to Nokia about redistribution options for the older build. We've also been closely watching discussions about moving to a current version of ActivePerl instead.

    http://developer.symbian.org/forum/s...ead.php?t=4789

    > As users frequently ask for the file in question, I would like to host
    > it on my Nokia enthusiast web site TamsS60. I would of course declare
    > that YOU are the sole owners, etc and that I am just hosting it.
    > Furthermore, the download would be FFA – so there is no money involved
    > for me either.
    >
    > Is this ok for you?

    Actually this is not allowed without an OEM license. Redistribution of ActivePerl (even the old versions) is covered by the ActivePerl Community License:

    http://www.activestate.com/activeperl/license/

    I appreciate that this leaves the Symbian community in a bit of a bind, but from what we can tell, the SDK should work with the latest ActivePerl 5.10. In my own testing with the SDK (admittedly, I'm not a Symbian developer) all of the Perl scripts ran against ActivePerl 5.10.1.1007. Others have found a couple of issues, but they seem to be fixable:

    http://developer.symbian.org/forum/s...4&postcount=15

    Sorry we can't let you distribute the older version. Let us know if there's any way we can help the Symbian community migrate to the current builds.

    Best regards,

    Troy
    I did my best...
    The lines above are the best I have to offer.If anyone of you is of more advanced knowledge, I ask for your patience and understanding! - unknown arab poet
    http://www.tamoggemon.com - Symbian blog - Windows Phone blog
    My other blogs:
    webOS blog iPhone blog BlackBerry blog Samsung bada blog Android blog

  10. #10
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: ActivePerl 5.6.x not available, anymore?

    one way we can try is to create a script that can patch the 5.10.x to work with Symbian. let me try my hand

  11. #11
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,336

    Re: ActivePerl 5.6.x not available, anymore?

    Well, I don't want to point any direct link but if it helps someone then check my post here to get Active perl 5.6.1: http://discussion.forum.nokia.com/fo...7&postcount=10

    I am not sure how long this will going to help but you can try at least.
    Nokia Developer Wiki Moderation team

  12. #12
    Super Contributor
    Join Date
    Jul 2008
    Posts
    2,020

    Re: ActivePerl 5.6.x not available, anymore?

    Hi,
    someone could theoretically also share it via email. Not that I advocate this - but if I were living in Liberia or sth, I would definitely take a stab as its legal to do so there.

    But, onto a more serious thing: the guy from ActiveState told me that one can also use later versions of perl with some modifications he linked. Did that work out for someone so far?

    Tam
    The lines above are the best I have to offer.If anyone of you is of more advanced knowledge, I ask for your patience and understanding! - unknown arab poet
    http://www.tamoggemon.com - Symbian blog - Windows Phone blog
    My other blogs:
    webOS blog iPhone blog BlackBerry blog Samsung bada blog Android blog

  13. #13
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: ActivePerl 5.6.x not available, anymore?

    Quote Originally Posted by tamhanna View Post
    Hi,
    someone could theoretically also share it via email. Not that I advocate this - but if I were living in Liberia or sth, I would definitely take a stab as its legal to do so there.

    But, onto a more serious thing: the guy from ActiveState told me that one can also use later versions of perl with some modifications he linked. Did that work out for someone so far?

    Tam
    yes ActiveState's know there product well ;-)

  14. #14
    Registered User
    Join Date
    Feb 2010
    Posts
    48

    Re: ActivePerl 5.6.x not available, anymore?

    Well.

    As a newbie (but long-time software developer), I'm non-plussed.

    Surely the Nokia toolkit people had to see this coming a long time ago and would have updated their tool-chain to newer versions of perl in anticipation of the older version going out of support. It quite frankly does not inspire confidence the entire (rather complex) tool-chain. What else is out of date/obsolete/soon to be unsupported?

    If they must use perl, I think it would be better to standardize on the Cygwin version (and other *nix tools, if useful). It's a better and more comprehensive *nix userland implementation over windows, of which perl is a part.

  15. #15
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: ActivePerl 5.6.x not available, anymore?

    Unfortunately this is the situation we are in now and we have to live with it. It is rather late to blame the SDKs team for anything or to see if the blame is Nokia's or Symbian's (well, that's Nokia too now so I guess it's all Nokia's fault).

    Over as the Symbian Foundation there is a community driven effort to backport Raptor support to at least Symbian^1 (S60 5.0) and that will give better build speed while removing this Perl dependency. You may be interested in [contributing to] that project.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

Similar Threads

  1. ActivePerl
    By geot@fb-4.com in forum Symbian Tools & SDKs
    Replies: 5
    Last Post: 2010-08-12, 14:10
  2. Replies: 4
    Last Post: 2008-05-26, 16:23
  3. Replies: 3
    Last Post: 2006-10-03, 21:54
  4. Replies: 5
    Last Post: 2006-09-28, 14:26
  5. Replies: 2
    Last Post: 2002-07-05, 07:35

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •